---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-8-3 16:32:25
---

local LBaseSkeletalMeshActor = ImportScript("ugc_common/script/core/actor/skeletal_mesh_actor.lua").LBaseSkeletalMeshActor;

---@class LBaseLocalPlayer
LBaseLocalPlayer = LBaseLocalPlayer or class("LBaseLocalPlayer", LBaseSkeletalMeshActor);

function LBaseLocalPlayer:ctor(kActor)
    print("LBaseLocalPlayer:ctor()", self, kActor);
end

function LBaseLocalPlayer:dtor()
    print("LBaseLocalPlayer:dtor()");
end

function LBaseLocalPlayer:SetMoveSpeedScale(fScale)
    return false;
end

function LBaseLocalPlayer:GetMoveSpeedScale()
    return 1.0;
end
